Bug 444664 - Implement KHamburgerMenu
Summary: Implement KHamburgerMenu
Status: RESOLVED FIXED
Alias: None
Product: ark
Classification: Applications
Component: general (show other bugs)
Version: 21.08.2
Platform: Other Linux
: NOR wishlist with 1 vote (vote)
Target Milestone: ---
Assignee: Andrey
URL: https://invent.kde.org/utilities/ark/...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-30 14:42 UTC by Jack Hill
Modified: 2022-09-15 02:26 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 22.12


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jack Hill 2021-10-30 14:42:55 UTC
Most other KDE apps already have this so I think it would be nice if Ark also implemented it.
Comment 1 Nate Graham 2021-11-01 15:44:15 UTC
Well, two do. :) But I agree, Ark would be a good candidate.
Comment 2 Andrey 2022-08-13 14:32:47 UTC
The bugtracker (or GitLab?) didn't catch the MR again for some reason:
https://invent.kde.org/utilities/ark/-/merge_requests/124
Comment 3 Andrey 2022-09-07 12:13:52 UTC
Git commit 7896a67d706c0a336033b1e292e30c9e7e27cfb1 by Andrey Butirsky.
Committed on 02/09/2022 at 09:44.
Pushed by butirsky into branch 'revert-dad79313'.

port to Hamburger Menu

M  +62   -0    app/mainwindow.cpp
M  +1    -0    app/mainwindow.h
M  +4    -0    kerfuffle/ark.kcfg
M  +3    -1    part/ark_part.rc
M  +4    -0    part/part.cpp

https://invent.kde.org/utilities/ark/commit/7896a67d706c0a336033b1e292e30c9e7e27cfb1
Comment 4 Andrey 2022-09-12 12:48:58 UTC
Git commit f45da1a6750b2965e5b1e72d6523e65714a878d7 by Andrey Butirsky.
Committed on 12/09/2022 at 12:17.
Pushed by butirsky into branch 'master'.

port to Hamburger Menu
GUI:

M  +67   -0    app/mainwindow.cpp
M  +1    -0    app/mainwindow.h
M  +4    -0    kerfuffle/ark.kcfg
M  +3    -1    part/ark_part.rc
M  +3    -0    part/part.cpp

https://invent.kde.org/utilities/ark/commit/f45da1a6750b2965e5b1e72d6523e65714a878d7